> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Skin Analyze

> Skin Analyze API detects skin type, tone, eye bags, dark circles, wrinkles, acne, spots, and other skin conditions.



## OpenAPI

````yaml /openapi.json post /api/portrait/analysis/skin-analysis
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations.


    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/portrait/analysis/skin-analysis:
    post:
      tags:
        - AI PORTRAIT > Portrait Analysis
      summary: Skin Analyze
      description: >-
        Skin Analyze API detects skin type, tone, eye bags, dark circles,
        wrinkles, acne, spots, and other skin conditions.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - image
              properties:
                image:
                  type: string
                  description: Main Image.
                  format: binary
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                request_id: ''
                log_id: ''
                error_code: 0
                error_code_str: ''
                error_msg: ''
                error_detail:
                  status_code: 200
                  code: ''
                  code_message: ''
                  message: ''
                warning: []
                face_rectangle:
                  top: 0
                  left: 0
                  width: 0
                  height: 0
                result:
                  left_eyelids:
                    value: 0
                    confidence: 0.89
                  right_eyelids:
                    value: 0
                    confidence: 0.89
                  eye_pouch:
                    value: 0
                    confidence: 0.89
                  dark_circle:
                    value: 0
                    confidence: 0.89
                  forehead_wrinkle:
                    value: 0
                    confidence: 0.89
                  crows_feet:
                    value: 0
                    confidence: 0.89
                  eye_finelines:
                    value: 0
                    confidence: 0.89
                  glabella_wrinkle:
                    value: 0
                    confidence: 0.89
                  nasolabial_fold:
                    value: 0
                    confidence: 0.89
                  skin_type:
                    skin_type: 0
                    details:
                      '0':
                        value: 1
                        confidence: 0.89
                      '1':
                        value: 1
                        confidence: 0.89
                      '2':
                        value: 1
                        confidence: 0.89
                      '3':
                        value: 1
                        confidence: 0.89
                  pores:
                    value: 0
                    confidence: 1
                  pores_forehead:
                    value: 0
                    confidence: 1
                  pores_left_cheek:
                    value: 0
                    confidence: 1
                  pores_right_cheek:
                    value: 0
                    confidence: 1
                  pores_jaw:
                    value: 0
                    confidence: 1
                  blackhead:
                    value: 0
                    confidence: 1
                  acne:
                    value: 0
                    confidence: 1
                  mole:
                    value: 0
                    confidence: 1
                  skin_spot:
                    value: 0
                    confidence: 1
          description: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````